Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
mutations
/
{mutation_id}
Get mutation
curl --request GET \
  --url https://api.coval.dev/v1/agents/{agent_id}/mutations/{mutation_id} \
  --header 'X-API-Key: <api-key>'
{
  "mutation": {
    "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
    "agent_id": "gk3jK9mPq2xRt5vW8yZaBc",
    "display_name": "GPT-4 Fast VAD",
    "description": "Testing faster VAD settings with GPT-4",
    "config_overrides": {
      "voice": "nova",
      "vad_stop_secs": 0.3
    },
    "parameter_values": {
      "voice": "nova",
      "vad_stop_secs": "0.3"
    },
    "create_time": "2025-10-14T12:00:00Z",
    "update_time": "2025-10-15T14:30:00Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

agent_id
string
required

Parent agent ID (22-character ShortUUID)

Pattern: ^[A-Za-z0-9]{22}$
mutation_id
string
required

Mutation ID (26-character ULID)

Pattern: ^[A-Za-z0-9]{26}$

Response

Mutation retrieved successfully

mutation
object
required

Agent mutation resource representing a configuration variant.